<!DOCTYPE html>
    <html>
    <head>
        <meta http-equiv="Content-type" content="text/html;charset=UTF-8">
        <title>FAQ</title>
        
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/Microsoft/vscode/extensions/markdown-language-features/media/markdown.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/Microsoft/vscode/extensions/markdown-language-features/media/highlight.css">
        
        <style>
.task-list-item { list-style-type: none; } .task-list-item-checkbox { margin-left: -20px; vertical-align: middle; }
</style>
        <style>
            body {
                font-family: -apple-system, BlinkMacSystemFont, 'Segoe WPC', 'Segoe UI', 'Ubuntu', 'Droid Sans', sans-serif;
                font-size: 14px;
                line-height: 1.6;
            }
        </style>
        
        
    </head>
    <body>
        <h1 id="FAQ">FAQ</h1>
<h2 id="Allgemein"><strong>Allgemein</strong></h2>
<h3 id="Nennen-Sie-ein-Programmierwerkzeug-f%C3%BCr-die-statische-Codeanalyse"><em>Nennen Sie ein Programmierwerkzeug für die statische Codeanalyse</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-ist-ein-Build-Management-Tool-und-wof%C3%BCr-braucht-man-es"><em>Was ist ein Build Management Tool und wofür braucht man es?</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-zwei-Vorteile-von-Build-Management-Tools"><em>Nennen Sie zwei Vorteile von Build Management Tools</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="Tests"><strong>Tests</strong></h2>
<h3 id="Tests-allgemein-keine-Frage"><em>Tests allgemein (keine Frage)</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Verifikation"><em>Verifikation</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Validierung"><em>Validierung</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-sind-funktionalenicht-funktionale-Anforderungen"><em>Was sind funktionale/nicht-funktionale Anforderungen</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Testautomatisierung"><em>Testautomatisierung</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Pfadabdeckungstest"><em>Pfadabdeckungstest</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Regressionstests"><em>Regressionstests</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Systemtests"><em>Systemtests</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Freigabetest-Release-Test"><em>Freigabetest (Release Test)</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Whitebox-Test"><em>Whitebox-Test</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Blackbox-Test"><em>Blackbox-Test</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Benutzertests"><em>Benutzertests</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-die-6-Phasen-des-Abnahmetests"><em>Nennen Sie die 6 Phasen des Abnahmetests</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Leistungstests"><em>Leistungstests</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Anforderungsbasiertes-Testen"><em>Anforderungsbasiertes Testen</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Szenariobasiertes-Testen"><em>Szenariobasiertes Testen</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-ist-Softwareinspektion"><em>Was ist Softwareinspektion</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-sind-Vorteile-Softwareinspektion"><em>Was sind Vorteile Softwareinspektion</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Welche-unterschiedliche-Schnittstellen-k%C3%B6nnen-getestet-werden"><em>Welche unterschiedliche Schnittstellen können getestet werden</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-3-Schnittstellenfehler"><em>Nennen Sie 3 Schnittstellenfehler</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Anwendungsfalltesten"><em>Anwendungsfalltesten</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-2-Richtlinen-zum-Anwendungsfalltesten"><em>Nennen Sie 2 Richtlinen zum Anwendungsfalltesten</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="REST"><strong>REST</strong></h2>
<h3 id="Was-bedeutet-RESTful-und-deren-Constraints"><em>Was bedeutet RESTful und deren Constraints</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bietet-ein-RESTful-Service"><em>Was bietet ein RESTful Service</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Ressourcenbasiert"><em>Was bedeutet Ressourcenbasiert</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Repr%C3%A4sentation"><em>Was bedeutet Repräsentation</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-stateless"><em>Was bedeutet stateless</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Cacheable"><em>Was bedeutet Cacheable</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-ist-bei-der-Fehlerbehebung-einer-REST-API-zu-beachten"><em>Was ist bei der Fehlerbehebung einer REST API zu beachten?</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="ORM"><strong>ORM</strong></h2>
<h3 id="Was-ist-ein-Objekt-relational-mapping"><em>Was ist ein Objekt relational mapping</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-ein-Beispiel-f%C3%BCr-einen-Objekt-relational-Mapper"><em>Nennen Sie ein Beispiel für einen Objekt relational Mapper</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-jeweils-2-Vor--und-Nachteile-eines-ORM"><em>Nennen Sie jeweils 2 Vor- und Nachteile eines ORM</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-JPA"><em>Was bedeutet JPA</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nenne-mehrere-HTTP-Response-Codes"><em>Nenne mehrere HTTP-Response Codes</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="Serviceorientierte-Architektur"><strong>Serviceorientierte Architektur</strong></h2>
<h3 id="Erl%C3%A4utere-Service-orientierte-Architektur"><em>Erläutere Service orientierte Architektur</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-sind-die-Vorteile-von-SOA"><em>Was sind die Vorteile von SOA</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Service-Engineering"><em>Was bedeutet Service Engineering?</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Softwareentwicklung-mit-Services"><em>Was bedeutet Softwareentwicklung mit Services?</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="Aspektorientierte-Programmierung"><strong>Aspektorientierte Programmierung</strong></h2>
<h3 id="Erkl%C3%A4ren-Sie-die-Aspektorientierte-Programmierung"><em>Erklären Sie die Aspektorientierte Programmierung</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-ein-typisches-Beispiel-der-Aspektorientierten-Programmierung"><em>Nennen Sie ein typisches Beispiel der Aspektorientierten Programmierung</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Seperation-of-concerns"><em>Was bedeutet Seperation of concerns?</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-bedeutet-Cross-cutting-concerns"><em>Was bedeutet Cross-cutting-concerns</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-ist-der-Aspect-Weaver-bzw-was-bedeutet-Aspect-weaving"><em>Was ist der Aspect Weaver bzw. was bedeutet Aspect weaving</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nenne-die-4-Bestandteile-die-bei-der-AOP-verwendet-werden"><em>Nenne die 4 Bestandteile, die bei der AOP verwendet werden</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="Design-Patterns"><strong>Design Patterns</strong></h2>
<h3 id="Definieren-Sie-den-Begriff-Design-Patterns"><em>Definieren Sie den Begriff Design Patterns</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-die-drei-verschiedenen-Entwurfsmuster-von-Design-Patterns"><em>Nennen Sie die drei verschiedenen Entwurfsmuster von Design Patterns</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-3-unterschiedliche-konkrete-Beispiele-von-Design-Patterns-und-erl%C3%A4utern-Sie-eines-davon"><em>Nennen Sie 3 unterschiedliche konkrete Beispiele von Design Patterns und erläutern Sie eines davon</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="Softwareevolution"><strong>Softwareevolution</strong></h2>
<h3 id="Erkl%C3%A4ren-Sie-den-Begriff-Technische-Schulden"><em>Erklären Sie den Begriff Technische Schulden</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-3-Gr%C3%BCnde-warum-Softwarever%C3%A4nderungen-unvermeidbar-sind"><em>Nennen Sie 3 Gründe warum Softwareveränderungen unvermeidbar sind</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-3-Faktoren-die-die-Wartungskosten-beeinflussen"><em>Nennen Sie 3 Faktoren, die die Wartungskosten beeinflussen</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-ist-die-Dynamik-der-Programmevolution"><em>Was ist die Dynamik der Programmevolution</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-3-Lehmanns-Gesetze"><em>Nennen Sie 3 Lehmanns Gesetze</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Erl%C3%A4utern-Sie-Reengineering-Prozess"><em>Erläutern Sie Reengineering-Prozess</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-2-Vorteile-von-Reengingeering"><em>Nennen Sie 2 Vorteile von Reengingeering</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-3-m%C3%B6gliche-Aktivit%C3%A4ten-im-Reengineering-Prozess"><em>Nennen Sie 3 mögliche Aktivitäten im Reengineering-Prozess</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Wie-wirkt-sich-Refactoring-auf-die-Wartung-einer-Software-aus"><em>Wie wirkt sich Refactoring auf die Wartung einer Software aus</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-sind-Bad-Smells"><em>Was sind Bad Smells</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Woran-erkennt-man-das-man-eine-Software-eher-Re-Engineeren-sollte-und-wann-Refactoren"><em>Woran erkennt man das man eine Software eher Re-Engineeren sollte und wann Refactoren</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Wann-findet-Refactoring-statt"><em>Wann findet Refactoring statt</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-4-Strategien-zum-Umgang-mit-Legacy-Systemen"><em>Nennen Sie 4 Strategien zum Umgang mit Legacy Systemen</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="Konfigurationsmanagement"><strong>Konfigurationsmanagement</strong></h2>
<h3 id="Was-ist-das-Konfigurationsmanagement"><em>Was ist das Konfigurationsmanagement</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-macht-das-Change-Management"><em>Was macht das Change-Management</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-macht-das-Versionsmanagement"><em>Was macht das Versionsmanagement</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-macht-das-Systemerstellung"><em>Was macht das Systemerstellung</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Was-macht-das-Release-Management"><em>Was macht das Release Management</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h2 id="TDD"><strong>TDD</strong></h2>
<h3 id="Was-ist-TDD"><em>Was ist TDD</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>
<h3 id="Nennen-Sie-4-Vorteile-von-TDD"><em>Nennen Sie 4 Vorteile von TDD</em>:</h3>
<blockquote>
<p>_</p>
</blockquote>

    </body>
    </html>